#
# spec file for package rubygem-activesupport-5.2
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-activesupport-5.2
Version:        5.2.3
Release:        bp153.1.16
%define mod_name activesupport
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -5.2
# MANUAL
%if 0%{?suse_version} && 0%{?suse_version} < 1330
%define rb_build_versions ruby25 ruby26
%define rb_build_ruby_abis ruby:2.5.0 ruby:2.6.0
%endif
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.2.2}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
Url:            http://rubyonrails.org
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A toolkit of support libraries and Ruby core extensions extracted
License:        MIT
Group:          Development/Languages/Ruby

%description
A toolkit of support libraries and Ruby core extensions extracted from the
Rails framework. Rich support for multibyte strings, internationalization,
time zones, and testing.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md MIT-LICENSE README.rdoc" \
  -f

%gem_packages

%changelog
* Fri Mar 29 2019 Stephan Kulow <coolo@suse.com>
- updated to version 5.2.3
  see installed CHANGELOG.md
  [#]# Rails 5.2.3 (March 27, 2019) ##
  * Add `ActiveSupport::HashWithIndifferentAccess#assoc`.
    `assoc` can now be called with either a string or a symbol.
  * Stefan Schüßler*
  * Fix `String#safe_constantize` throwing a `LoadError` for incorrectly cased constant references.
  * Keenan Brock*
  * Allow Range#=== and Range#cover? on Range
    `Range#cover?` can now accept a range argument like `Range#include?` and
    `Range#===`. `Range#===` works correctly on Ruby 2.6. `Range#include?` is moved
    into a new file, with these two methods.
  * utilum*
  * If the same block is `included` multiple times for a Concern, an exception is no longer raised.
  * Mark J. Titorenko*, *Vlad Bokov*
* Thu Mar 14 2019 Marcus Rueckert <mrueckert@suse.de>
- update to version 5.2.2.1:
  https://weblog.rubyonrails.org/2019/3/13/Rails-4-2-5-1-5-1-6-2-have-been-released/
  CVE-2019-5418 CVE-2019-5419 CVE-2019-5420
* Sat Jan 19 2019 Marcus Rueckert <mrueckert@suse.de>
- rb_build_ruby_abi needs to be rb_build_ruby_abis
* Fri Jan 18 2019 Marcus Rueckert <mrueckert@suse.de>
- limit to ruby 2.5 and above for 42.3/sle12
* Sat Dec  8 2018 Stephan Kulow <coolo@suse.com>
- updated to version 5.2.2
  see installed CHANGELOG.md
  [#]# Rails 5.2.2 (December 04, 2018) ##
  * Fix bug where `#to_options` for `ActiveSupport::HashWithIndifferentAccess`
    would not act as alias for `#symbolize_keys`.
  * Nick Weiland*
  * Improve the logic that detects non-autoloaded constants.
  * Jan Habermann*, *Xavier Noria*
  * Fix bug where `URI.unescape` would fail with mixed Unicode/escaped character input:
    URI.unescape("バ")  # => "バ"
    URI.unescape("%%E3%%83%%90")  # => "バ"
    URI.unescape("バ%%E3%%83%%90")  # => Encoding::CompatibilityError
  * Ashe Connor*, *Aaron Patterson*
* Mon Dec  3 2018 mschnitzer@suse.com
- updated to version 5.2.1.1 (boo#1118076)
  * No changes / Just a version bump to match with Rails 5.2.1.1
* Wed Aug  8 2018 mschnitzer@suse.com
- updated to version 5.2.1 (boo#1104209)
  * Redis cache store: `delete_matched` no longer blocks the Redis server.
  (Switches from evaled Lua to a batched SCAN + DEL loop.)
  (Gleb Mazovetskiy)
  * Fix bug where `ActiveSupport::Timezone.all` would fail when tzinfo data for
  any timezone defined in `ActiveSupport::TimeZone::MAPPING` is missing.
  (Dominik Sander)
  * Fix bug where `ActiveSupport::Cache` will massively inflate the storage
  size when compression is enabled (which is true by default). This patch
  does not attempt to repair existing data: please manually flush the cache
  to clear out the problematic entries.
  (Godfrey Chan)
  * Fix `ActiveSupport::Cache#read_multi` bug with local cache enabled that was
  returning instances of `ActiveSupport::Cache::Entry` instead of the raw values.
  (Jason Lee)
* Mon Apr 16 2018 mschnitzer@suse.com
- initialize package
  see changelog: https://github.com/rails/rails/blob/v5.2.0/activesupport/CHANGELOG.md
